<?php
if ( !defined ( 'DIR_CORE' ) ) {
        header ( 'Location: static_pages/' );
}

class ExtensionPricecheckfeed extends Extension {
	
	protected $registry;
	
	public function  __construct() {
		$this->registry = Registry::getInstance();
	}
	
	public function onControllerPagesExtensionExtensions_UpdateData() {
		$baseobj = $this->baseObject;
		$current_ext_id = $baseobj->request->get['extension'];
	    if (IS_ADMIN && $current_ext_id == 'pricecheckfeed' && $this->baseObject_method == 'edit') {
	    	$html = '<a class="btn btn-white tooltips" target="_blank" href="index.php?rt=extension/pricecheckfeed" title="Feed URL">
	    				<i class="fa fa-external-link fa-lg"></i>
	    			</a>';
	    	$baseobj->view->addHookVar('extension_toolbar_buttons', $html);
		}
	}
}
